.pnpm:
  image: node:16
  before_script:
    - npm install -g pnpm
    - pnpm install
  cache:
    paths:
      - node_modules/

stages:
  - build
  - deploy

build:
  extends: .pnpm
  stage: build
  script:
    - echo $CI_PAGES_URL
    - echo $CI_PAGES_DOMAIN
    - pnpm run build --base /cpp-20/cpp20-slides/
  artifacts:
    paths:
      - dist

pages:
  stage: deploy
  variables:
    GIT_STRATEGY: none
  script:
    - mv dist public
  artifacts:
    paths:
      - public
  only:
    - main
